Ignore:
Timestamp:
Mar 11, 2013, 8:39:09 PM (7 years ago)
Author:
raimue@…
Message:

editors/vim, editors/vim-app, editors/MacVim:
Use bin/ruby1.8 and rename +ruby to +ruby18, see #38359

Location:
trunk/dports/editors
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/editors/MacVim/Portfile

    r103193 r103978  
    88set gitcommit       snapshot-${snapshot}
    99version             ${vim_version}.snapshot${snapshot}
    10 revision            2
     10revision            3
    1111categories          editors
    1212platforms           darwin
     
    158158    depends_build-append port:autoconf
    159159}
    160 variant ruby conflicts ruby19 description {Enable Ruby scripting} {
     160variant ruby requires ruby18 description {Compatibility variant, requires +ruby18} {}
     161variant ruby18 conflicts ruby19 description {Enable Ruby scripting} {
    161162    configure.args-append   --enable-rubyinterp
    162     configure.args-append   --with-ruby-command=${prefix}/bin/ruby
     163    configure.args-append   --with-ruby-command=${prefix}/bin/ruby1.8
    163164    depends_lib-append      port:ruby
    164165}
  • trunk/dports/editors/vim-app/Portfile

    r103106 r103978  
    88set vim_patchlevel  762
    99version             ${vim_version}.${vim_patchlevel}
    10 revision            1
     10revision            2
    1111categories          editors
    1212platforms           darwin
     
    983983    depends_build-append port:autoconf
    984984}
    985 variant ruby conflicts ruby19 description {Enable Ruby scripting} {
     985variant ruby requires ruby18 description {Compatibility variant, requires +ruby18} {}
     986variant ruby18 conflicts ruby19 description {Enable Ruby scripting} {
    986987    configure.args-append   --enable-rubyinterp
    987     configure.args-append   --with-ruby-command=${prefix}/bin/ruby
     988    configure.args-append   --with-ruby-command=${prefix}/bin/ruby1.8
    988989    depends_lib-append      port:ruby
    989990}
  • trunk/dports/editors/vim/Portfile

    r103106 r103978  
    77set vim_patchlevel  762
    88version             ${vim_version}.${vim_patchlevel}
    9 revision            1
     9revision            2
    1010categories          editors
    1111platforms           darwin freebsd
     
    964964    depends_build-append port:autoconf
    965965}
    966 variant ruby conflicts ruby19 description {Enable Ruby scripting} {
     966variant ruby requires ruby18 description {Compatibility variant, requires +ruby18} {}
     967variant ruby18 conflicts ruby19 description {Enable Ruby scripting} {
    967968    configure.args-append   --enable-rubyinterp
    968     configure.args-append   --with-ruby-command=${prefix}/bin/ruby
     969    configure.args-append   --with-ruby-command=${prefix}/bin/ruby1.8
    969970    depends_lib-append      port:ruby
    970971}
Note: See TracChangeset for help on using the changeset viewer.